apiVersion: apps/v1
kind: Deployment
metadata:
  name: popbl-app-canary
spec:
  selector:
    matchLabels:
      type: app
      service: popbl-app
  template:
    metadata:
      labels:
        type: app
        service: popbl-app
        track: canary
    spec:
      containers:
      - name: popbl-app
        image: registry.gitlab.com/ivan.valdesi/mu-popbl2/webapp:canary
        imagePullPolicy: Always
        ports:
        - containerPort: 5000
        env:
        - name: FLASK_APP
          value: app:create_app
        - name: FLASK_ENV
          value: production
        - name: ENV
          value: prod
        - name: SQLALCHEMY_DATABASE_URI
          value: postgresql://postgres:postgres@postgres-svc:5432/colorize_dev
        - name: MONGO_DATABASE_URI
          value: mongodb://admin:admin@mongo-svc:27017/
        - name: RABBITMQ_IP
          value: rabbitmq-svc
        - name: APP_SETTINGS
          value: project.config.ProductionConfig
        - name: REMOTE_DEBUG
          value: "False"
        - name: ELK_USER
          value: "elastic"
        - name: ELK_PASSWORD
          value: "elastic"
        - name: ELASTIC_HOST
          value: "100.24.108.36"
        command:  ["python3", "manage.py", "run", "-h", "0.0.0.0", "-p", "5000"] 
        volumeMounts:
            - name: config-ca
              readOnly: true
              mountPath: "/ca/"
      restartPolicy: Always
      imagePullSecrets:
        - name: gitalb-credentials  
      volumes:
      - name: config-ca
        secret:
          secretName: popbl-ca-secret